Get Token

  • GET
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /visual-tests
  • /suites
  • /:suite_id
  • /token

Get visual test suite token

Request

REQUIRED SCOPES
VISUAL_TEST_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

suite_idrequiredstring
The ID of the visual test suite

Example: "MNbyVedg"

Response

RESPONSE BODY
tokenstring
Authentication token for the suite

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/projects/:project_name/visual-tests/suites/:suite_id/token" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
200 OK